ColumnEntityAliases (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader
Class ColumnEntityAliases

    java.lang.Object
      org.hibernate.loader.DefaultEntityAliases
          org.hibernate.loader.ColumnEntityAliases

All Implemented Interfaces:
  EntityAliases

    public class ColumnEntityAliases

extends DefaultEntityAliases

EntityAliases that chooses the column names over the alias names. This strategy is used when the result-set mapping did not give specific aliases to use in extracting from the result set. We use the column names from the underlying persister.

Constructor Summary
`ColumnEntityAliases(Map returnProperties, Loadable persister, String suffix)`

Method Summary
`protected String` | `getDiscriminatorAlias(Loadable persister, String suffix)`
`protected String[]` | `getIdentifierAliases(Loadable persister, String suffix)`
`protected String[]` | `getPropertyAliases(Loadable persister, int j)`

Methods inherited from class org.hibernate.loader.DefaultEntityAliases
`getRowIdAlias, getSuffixedDiscriminatorAlias, getSuffixedKeyAliases, getSuffixedPropertyAliases, getSuffixedPropertyAliases, getSuffixedVersionAliases`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnEntityAliases

    public ColumnEntityAliases(Map returnProperties,
                               Loadable persister,
                               String suffix)

Method Detail

### getIdentifierAliases

    protected String[] getIdentifierAliases(Loadable persister,
                                            String suffix)

  Overrides:
    `getIdentifierAliases` in class `DefaultEntityAliases`

### getDiscriminatorAlias

    protected String getDiscriminatorAlias(Loadable persister,
                                           String suffix)

  Overrides:
    `getDiscriminatorAlias` in class `DefaultEntityAliases`

### getPropertyAliases

    protected String[] getPropertyAliases(Loadable persister,
                                          int j)

  Overrides:
    `getPropertyAliases` in class `DefaultEntityAliases`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.